Subject: [TR] TR6 trailing arm bushings...

From: Jeff <[email-masked]>
Date: Fri, 23 Aug 2013 20:29:01 -0400

1975 TR6...getting the old bushings out is easy peasy lemon squeezy. 
Getting the new ones in, not so much.

I wanted to use rubber bushings instead of urethane/nylatron since I 
drive for fun, not for speed or bumpiness.  I managed, using a piece of 
all-thread, to get two new bushings in so far.  But, instead of looking 
like they did before, they are coned on one end and flat on the end 
where I pulled them in.

I assume that, as long as the brackets go on the bushings and on the 
car, and the metal sleeve is centered, that all will work ok.  Does this 
sound reasonable?

And, secondly:  Is there a better way to get the bushings in the 
trailing arm?

Jeff Scarbrough
Corrosion Acres, Ga.

** [email-masked] **

Archive: http://www.team.net/archive